export default DatePicker;
declare class DatePicker {
    constructor(props: any);
    _inputRef: any;
    hiddenInputRef: any;
    overlayContainerRef: any;
    state: any;
    idSuffix: any;
    getInitialState(): any;
    makeIdSuffix(): any;
    get inputRef(): any;
    componentDidMount(): void;
    componentWillUnmount(): void;
    onClickOutside(event: any): void;
    makeDateValues(isoString: any): any;
    clear(): void;
    handleHide(): void;
    handleKeyDown(e: any): void;
    handleFocus(): void;
    handleBlur(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    getValue(): any;
    getFormattedValue(): any;
    getCalendarPlacement(): any;
    makeInputValueString(date: any): any;
    handleBadInput(originalValue: any): void;
    handleInputChange(): void;
    onChangeMonth(newDisplayDate: any): void;
    onChangeDate(newSelectedDate: any): void;
    UNSAFE_componentWillReceiveProps(newProps: any): void;
    renderInputGroup(children: any): any;
    render(): any;
}
declare namespace DatePicker {
    namespace propTypes {
        export const defaultValue: any;
        export const value: any;
        export const required: any;
        export const className: any;
        export const style: any;
        export const minDate: any;
        export const maxDate: any;
        export const cellPadding: any;
        export const autoComplete: any;
        export const placeholder: any;
        export const dayLabels: any;
        export const monthLabels: any;
        export const onChange: any;
        export const onClear: any;
        export const onBlur: any;
        export const onFocus: any;
        export const autoFocus: any;
        export const disabled: any;
        export const weekStartsOn: any;
        export const clearButtonElement: any;
        export const showClearButton: any;
        export const previousButtonElement: any;
        export const nextButtonElement: any;
        export const calendarPlacement: any;
        export const dateFormat: any;
        export const size: any;
        export const calendarContainer: any;
        export const id: any;
        export const name: any;
        export const showTodayButton: any;
        export const todayButtonLabel: any;
        export const customControl: any;
        export const roundedCorners: any;
        export const showWeeks: any;
        export const children: any;
        export const onInvalid: any;
        export const noValidate: any;
        export const valid: any;
        export const invalid: any;
        export const customInputGroup: any;
        export { propRef as inputRef };
        export const disabledWeekDays: any;
    }
    namespace defaultProps {
        const cellPadding_1: string;
        export { cellPadding_1 as cellPadding };
        const dayLabels_1: string[];
        export { dayLabels_1 as dayLabels };
        const monthLabels_1: string[];
        export { monthLabels_1 as monthLabels };
        const clearButtonElement_1: string;
        export { clearButtonElement_1 as clearButtonElement };
        const previousButtonElement_1: string;
        export { previousButtonElement_1 as previousButtonElement };
        const nextButtonElement_1: string;
        export { nextButtonElement_1 as nextButtonElement };
        const calendarPlacement_1: string;
        export { calendarPlacement_1 as calendarPlacement };
        const dateFormat_1: string;
        export { dateFormat_1 as dateFormat };
        const showClearButton_1: boolean;
        export { showClearButton_1 as showClearButton };
        const autoFocus_1: boolean;
        export { autoFocus_1 as autoFocus };
        const disabled_1: boolean;
        export { disabled_1 as disabled };
        const showTodayButton_1: boolean;
        export { showTodayButton_1 as showTodayButton };
        const todayButtonLabel_1: string;
        export { todayButtonLabel_1 as todayButtonLabel };
        const autoComplete_1: string;
        export { autoComplete_1 as autoComplete };
        const showWeeks_1: boolean;
        export { showWeeks_1 as showWeeks };
        const roundedCorners_1: boolean;
        export { roundedCorners_1 as roundedCorners };
        const noValidate_1: boolean;
        export { noValidate_1 as noValidate };
        const disabledWeekDays_1: any[];
        export { disabledWeekDays_1 as disabledWeekDays };
    }
}
declare const propRef: any;
